Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1871 pkg_mkIndex might leak an interpreter

obsolete: 8.4a5
closed-fixed
Don Porter
3
2002-05-31
2002-04-30
Anonymous
No

Hello,
I needed to have a look at package.tcl (8.3.4.1) in
order to understand the workings of pkg_mkIndex.

Now, on line 253 the 'catch' of an 'eval' of a slave
interpreter is started. If the 'catch' triggers (lines
356-359) the slave is not deleted, whereas if
everything is well (lines 361-383) it is.

To me this looks like a leak.

Best regards
Helmut

Discussion

  • Don Porter
    Don Porter
    2002-05-08

    Logged In: YES
    user_id=80530

    I haven't yet looked over this report, but I'm dropping
    the priority because [pkg_mkIndex] should only be used
    by short one-liner scripts in a 'make install' target
    for example. Since there's little use in calling this
    command in a long running process, there's little harm
    in a leak. Yes, should fix it eventually...

     
  • Don Porter
    Don Porter
    2002-05-08

    • priority: 5 --> 3
     
  • Don Porter
    Don Porter
    2002-05-31

    Logged In: YES
    user_id=80530

    looked at this. report is correct, and fix is simple.
    thanks for the report. committed to Tcl 8.4a5.

     
  • Don Porter
    Don Porter
    2002-05-31

    • milestone: --> obsolete: 8.4a5
    • status: open --> closed-fixed